Vagrant.configure("2") do |config|
  config.vm.define "opennms" do |machine|
    machine.vm.box = "centos/7"
    machine.vm.network "private_network", ip: "192.168.56.40"
    machine.vm.hostname = "opennms.example.com"
    machine.vm.network "forwarded_port", guest: 8980, host: 8980
    machine.vm.provider "virtualbox" do |v|
        v.memory = "4096"
    end
    machine.vm.provision "ansible" do |ansible|
      ansible.limit = "all"
      ansible.playbook = "opennms.yml"
      ansible.force_remote_user = true
    end 
  end
end
 
